Bug 242939 - print/frescobaldi: Update to 3.1.2
Summary: print/frescobaldi: Update to 3.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-28 12:42 UTC by m.ne
Modified: 2020-05-16 04:36 UTC (History)
1 user (show)

See Also:


Attachments
Patch for print/frescobaldi to version 3.1 (1.49 KB, patch)
2019-12-28 12:42 UTC, m.ne
no flags Details | Diff
Patch for print/frescobaldi to version 3.1 (1.96 KB, patch)
2019-12-29 01:40 UTC, m.ne
no flags Details | Diff
Patch for print/frescobaldi to version 3.1 (1.94 KB, patch)
2019-12-29 03:52 UTC, m.ne
no flags Details | Diff
Patch for print/frescobaldi to version 3.1.1 (1.94 KB, patch)
2020-01-05 07:25 UTC, m.ne
no flags Details | Diff
Patch for print/frescobaldi to version 3.1.1 (1.99 KB, patch)
2020-01-16 13:02 UTC, m.ne
no flags Details | Diff
Patch for print/frescobaldi to version 3.1.1 (1.99 KB, patch)
2020-01-22 22:46 UTC, m.ne
no flags Details | Diff
Patch for print/frescobaldi to version 3.1.2 (2.08 KB, patch)
2020-04-20 02:32 UTC, m.ne
no flags Details | Diff
Patch for print/frescobaldi to version 3.1.2 (2.11 KB, patch)
2020-04-21 03:12 UTC, m.ne
no flags Details | Diff
Patch for print/frescobaldi to version 3.1.2 (1.98 KB, patch)
2020-05-14 13:27 UTC, m.ne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2019-12-28 12:42:13 UTC
Created attachment 210281 [details]
Patch for print/frescobaldi to version 3.1
Comment 1 m.ne 2019-12-29 01:40:16 UTC
Created attachment 210296 [details]
Patch for print/frescobaldi to version 3.1

Added dependency on www/py-qt5-webengine
Comment 2 m.ne 2019-12-29 03:52:50 UTC
Created attachment 210299 [details]
Patch for print/frescobaldi to version 3.1

webkit no longer needed as dependency
Comment 3 m.ne 2020-01-05 07:25:39 UTC
Created attachment 210463 [details]
Patch for print/frescobaldi to version 3.1.1
Comment 4 m.ne 2020-01-16 13:02:40 UTC
Created attachment 210792 [details]
Patch for print/frescobaldi to version 3.1.1

Remove editing the man path in light of the ongoing move from $PREFIX/man to $PREFIX/share/man
Comment 5 m.ne 2020-01-22 22:46:35 UTC
Created attachment 210976 [details]
Patch for print/frescobaldi to version 3.1.1

Follow ports tree to base patch on
Comment 6 m.ne 2020-04-20 02:32:27 UTC
Created attachment 213589 [details]
Patch for print/frescobaldi to version 3.1.2
Comment 8 m.ne 2020-04-21 03:12:58 UTC
Created attachment 213625 [details]
Patch for print/frescobaldi to version 3.1.2

Also update github repo
Comment 9 Hiroki Tagato freebsd_committer 2020-05-14 08:35:03 UTC
Hi,

I reviewed the patch and would like to make some change request per Python Ports Policy[1].

Could you make the following changes?
- Add python to CATEGORIES
- Use PKGNAMEPREFIX

[1] https://wiki.freebsd.org/Python/PortsPolicy

I will do:
svn mv print/frescobaldi print/py-frescobaldi

After that, I will apply the patch and test builds.
Comment 10 m.ne 2020-05-14 13:27:42 UTC
Created attachment 214491 [details]
Patch for print/frescobaldi to version 3.1.2
Comment 11 commit-hook freebsd_committer 2020-05-16 04:35:37 UTC
A commit references this bug:

Author: tagattie
Date: Sat May 16 04:35:23 UTC 2020
New revision: 535349
URL: https://svnweb.freebsd.org/changeset/ports/535349

Log:
  - Update to 3.1.2
  - Change portname to py-frescobaldi to comply with Python Ports Policy
  - Make portclippy happy

  PR:		242939
  Submitted by:	m.ne@gmx.net (maintainer)
  Approved by:	ehaupt (mentor)
  Changelog:	https://github.com/frescobaldi/frescobaldi/blob/v3.1.2/ChangeLog

Changes:
  head/MOVED
  head/print/frescobaldi/
  head/print/py-frescobaldi/
  head/print/py-frescobaldi/Makefile
  head/print/py-frescobaldi/distinfo
Comment 12 Hiroki Tagato freebsd_committer 2020-05-16 04:36:31 UTC
Committed, thanks!